//---------------------------------------------------------------------------


#ifndef Sect_Param_WeldH
#define Sect_Param_WeldH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "Data_Gen.h"
#include "GArrow.h"
#include <Grids.hpp>
#include <ComCtrls.hpp>
#include <jpeg.hpp>
#include <Vcl.Buttons.hpp>

//---------------------------------------------------------------------------
class TSect_Param_WeldFrame : public TFrame
{
__published:	// IDE-managed Components
        TGroupBox *GroupBox_Dvutavr;
	TGroupBox *GroupBox_W;
	TLabel *Label_b;
	TLabel *Label_h_1;
	TLabel *Label_b1;
	TLabel *Label_h1;
	TLabel *Label_b2;
	TLabel *Label_h2;
	TEdit *Edit_b;
	TEdit *Edit_h_1;
	TEdit *Edit_b1;
	TEdit *Edit_h1;
	TEdit *Edit_b2;
	TEdit *Edit_h2;
	TImage *Image1;
	TCheckBox *CheckBox_b1;
	TCheckBox *CheckBox_h1;
	TCheckBox *CheckBox_h;
	TCheckBox *CheckBox_b;
	TCheckBox *CheckBox_h2;
	TCheckBox *CheckBox_b2;
	TBitBtn *BitBtn_Apply;
	TLabel *Label_kf_dvut;
	TEdit *Edit_kf_dvut;
        void __fastcall Write_sect(TObject *Sender);
        int  __fastcall Read_sect();
        void __fastcall DrawSect(TObject *Sender, bool flag_read);
        void __fastcall Check_Original();
        void __fastcall Check_Modify(TObject *Sender);
        void __fastcall CheckBox1MouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall Edit_b1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Edit_h1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Edit_h_1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Edit_bKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Edit_b2KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Edit_h2KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Weld_Change(TObject *Sender);
	void __fastcall Edit_h2Exit(TObject *Sender);
	void __fastcall BitBtn_ApplyClick(TObject *Sender);


private:	// User declarations
public:		// User declarations
		__fastcall TSect_Param_WeldFrame(TComponent* Owner);
       double  kf_dvut;
       TArrow CoorAx;
};
//---------------------------------------------------------------------------
extern PACKAGE TSect_Param_WeldFrame *Sect_Param_WeldFrame;
//---------------------------------------------------------------------------
#endif
